Skip to main content
GET
TypeScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Headers

Api-Version-Date
string

Pins the request to a dated API version.

Example:

"2026-09-15"

Query Parameters

account_id
string
required

The unique identifier of the account to list webhooks for.

app_id
string

Only return webhooks attached to this app. Omit to list the account's own webhooks.

include_app_webhooks
boolean

Also return webhooks attached to the account's apps, not just the account's own. Cannot be combined with app_id.

has_failures
boolean

Only return webhooks whose endpoint is currently failing — every delivery since the current failure streak began has been rejected. Clears as soon as a delivery succeeds.

first
integer
default:20

Number of results to return from the start of the range.

Required range: x <= 100
after
string

Return results after this cursor. Use page_info.end_cursor from the previous response to fetch the next page.

last
integer

Number of results to return from the end of the range.

Required range: x <= 100
before
string

Return results before this cursor. Use page_info.start_cursor from the previous response to fetch the previous page.

Response

webhooks listed

data
object[]
required
page_info
object
required